Package Details: vorta 0.8.3-1

Git Clone URL: https://aur.archlinux.org/vorta.git (read-only, click to copy)
Package Base: vorta
Description: A GUI for BorgBackup
Upstream URL: https://github.com/borgbase/vorta
Keywords: backup borg
Licenses: GPL
Submitter: bjo
Maintainer: bjo
Last Packager: bjo
Votes: 40
Popularity: 3.14
First Submitted: 2018-11-19 21:33
Last Updated: 2022-01-27 12:53

Latest Comments

1 2 3 4 5 6 ... Next › Last »

emacsomancer commented on 2021-10-22 04:27

@yochanamarqos: thanks! (I guess using the flatpak version is a temporary workaround.)

yochananmarqos commented on 2021-10-22 04:25

@emacsomancer: There's an open issue about it: https://github.com/borgbase/vorta/issues/1083

emacsomancer commented on 2021-10-22 03:29

I'm now getting errors when i try to run vorta:

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 568, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 886, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 777, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (tzlocal 4.0.1 (/usr/lib/python3.9/site-packages), Requirement.parse('tzlocal~=2.0'), {'apscheduler'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/vorta", line 33, in <module>
    sys.exit(load_entry_point('vorta==0.7.8', 'gui_scripts', 'vorta')())
  File "/usr/bin/vorta", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.9/importlib/metadata.py", line 77, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.9/importlib/__init__.py", line 127, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1030, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1007, in _find_and_load
  File "<frozen importlib._bootstrap>", line 986, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 680, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 850, in exec_module
  File "<frozen importlib._bootstrap>", line 228, in _call_with_frames_removed
  File "/usr/lib/python3.9/site-packages/vorta/__main__.py", line 10, in <module>
    from vorta.models import init_db
  File "/usr/lib/python3.9/site-packages/vorta/models.py", line 17, in <module>
    from vorta.utils import slugify
  File "/usr/lib/python3.9/site-packages/vorta/utils.py", line 21, in <module>
    from vorta.borg._compatibility import BorgCompatibility
  File "/usr/lib/python3.9/site-packages/vorta/borg/_compatibility.py", line 1, in <module>
    from pkg_resources import parse_version
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3243, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3226, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 3255, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 583, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 772, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'tzlocal~=2.0' distribution was not found and is required by apscheduler

yochananmarqos commented on 2021-07-14 23:00

@renyuneyun: Nope. Can't reproduce it building in a clean chroot.

@bjo: python-setuptools is only required to build.

renyuneyun commented on 2021-07-14 21:56

Two more missing dependencies: python-setuptools-git and python-pytest-runner. Missing them would cause pip to infinitely search for a valid version for them and it always fails:

WARNING: Discarding https://files.pythonhosted.org/packages/05/97/dd99fa9c0d9627a7b3c103a00f1566d8193aca8d473884ed258cca82b06f/setuptools_git-1.2-py2.py3-none-any.whl#sha256=e7764dccce7d97b4b5a330d7b966aac6f9ac026385743fd6cedad553f2494cfa (from https://pypi.org/simple/setuptools-git/). Requested setuptools_git from https://files.pythonhosted.org/packages/05/97/dd99fa9c0d9627a7b3c103a00f1566d8193aca8d473884ed258cca82b06f/setuptools_git-1.2-py2.py3-none-any.whl#sha256=e7764dccce7d97b4b5a330d7b966aac6f9ac026385743fd6cedad553f2494cfa has different version in metadata: '1.2'

(Though I'm not sure why pip complains about this, rather than finding the latest version and use it.)

ruata commented on 2021-06-20 17:59

Hello Below is my patch it's also fixes icon, as no "-symbolic" in com.borgbase.Vorta.desktop file

diff --git a/PKGBUILD b/PKGBUILD
index 772228c..182e40b 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -6,17 +6,17 @@ pkgdesc="A GUI for BorgBackup"
 arch=('any')
 url="https://github.com/borgbase/vorta"
 license=('GPL')
-depends=('borg' 'python-appdirs' 'python-apscheduler' 'python-pyqt5<=5.15.3' 'python-peewee' 'python-paramiko' 'python-dateutil' 'python-secretstorage' 'python-psutil' 'python-llfuse' 'python-setuptools')
+depends=('borg' 'python-appdirs' 'python-apscheduler' 'python-pyqt5' 'python-peewee' 'python-paramiko' 'python-dateutil' 'python-secretstorage' 'python-psutil' 'python-llfuse' 'python-setuptools')
 makedepends=('qt5-tools' 'python-pip')
 options=(!emptydirs)
 source=("$pkgname-$pkgver.tar.gz::https://github.com/borgbase/$pkgname/archive/v$pkgver.tar.gz")
 sha256sums=('db2adab76ac46107976d3ef408e78ad5f7df13ee96fb25feb161fda155129670')
-          

 build() {

   cd "$pkgname-$pkgver"
   make translations-to-qm
+  sed -i 's/  pyqt5.*/  pyqt5/g' setup.cfg
   python setup.py build
 }

@@ -31,6 +31,9 @@ package() {
     "$pkgdir/usr/share/metainfo"
   install -Dm644 "src/$pkgname/assets/metadata/com.borgbase.Vorta.desktop" -t \
     "$pkgdir/usr/share/applications"
+  sed -i 's/com.borgbase.Vorta/com.borgbase.Vorta-symbolic/g' $pkgdir/usr/share/applications/com.borgbase.Vorta.desktop

bjo commented on 2021-06-20 10:15

I hope I will find some time today to include the patch.

languitar commented on 2021-06-20 09:43

Any chance to include the required patches here in the package as long as they are not merged upstream to get this package going again?

mikesco3 commented on 2021-06-17 02:50

I ended up installing it with
trizen -S vorta
then editing the line were it required 'pyqt5<=5.15.3' and changing it to just say 'pyqt5'

then installed vorta, but when I tried to run it, it wouldn't work,
but then I edited the file:
/usr/lib/python3.9/site-packages/vorta-0.7.5-py3.9.egg-info/requires.txt
and also changed line 3 where it says pyqt5<=5.15.3 to just say pyqt5
Then Vorta run perfectly :)
Thank you @bjo

bjo commented on 2021-06-15 09:13

@mikesco3: Could you check if https://github.com/borgbase/vorta/issues/1011#issuecomment-859129957 works for you?